# SQLite. Versions 3.8.0 and up are supported.
#   gem "sqlite3" should appear in the Gemfile

default: &default
  adapter: sqlite3
  pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>
  timeout: 5000

development:
  <<: *default
  database: storage/development.sqlite3

# the "test" db will be erased and re-generated from the development db when rake is run
# do not set the test db to the same as development or production db's
test:
  <<: *default
  database: storage/test.sqlite3

production:
  <<: *default
  database: storage/production.sqlite3
